#!/usr/bin/php -q
<?php
// vim: set noexpandtab tabstop=2 softtabstop=2 shiftwidth=2:

// Simple command line driver for TMXInfoSearcher class
// Created Jul 2008 by Xymph <tm@gamers.org>

	include_once('tmxinfosearcher.inc.php');

	$game   = $argv[1];
	$name   = $argv[2];
	$author = $argv[3];
	$env    = $argv[4];
	$recent = (isset($argv[5]) && $argv[5] == 'true');

	$tmx = new TMXInfoSearcher($game, $name, $author, $env, $recent);

	echo 'Count: ' . $tmx->count() . "\n\n";
	print_r($tmx);

	// check for any results
	if ($tmx->valid()) {
		// display all results
		foreach ($tmx as $key => $value) {
			echo "key: $key\n";
			echo "value: ";
			print_r($value);
			echo "\n";
		}
	} else {
		echo "not found\n";
	}
?>
